Closed Bug 196 Opened 27 years ago Closed 26 years ago

warning fix : ns/lib/layout/editor.c

Categories

(MozillaClassic Graveyard :: Composer, defect, P3)

1998-03-31
defect

Tracking

(Not tracked)

VERIFIED WONTFIX

People

(Reporter: rick, Assigned: Brade)

Details

Created by Rick Osborne (rick@rixsoft.com) on Monday, April 13, 1998 5:54:31 PM PDT
Additional Details :
(In the continuing quest to eliminate even compiler warnings
... )

warning : ''IsPositioned'': member function definition looks
like a ctor, but name does not match enclosing class

This function is only called once in editor.cpp and is in an
if() with a subclass member that returns and int, so I
figured an int return type would be the most appropriate.  I
guess VC5 doesn''t like member functions with no return types
if they aren''t ctors?

--- editor.old.h        Wed Apr 08 17:52:21 1998
+++ editor.h    Mon Apr 13 20:49:51 1998
@@ -1990,3 +1990,3 @@ public:
     CEditElement* Element() { return m_pElement; }
-    IsPositioned(){ return m_pElement != 0; }
+    int IsPositioned(){ return m_pElement != 0; }
 };
Updated by   (brade@netscape.com) on Thursday, April 16, 1998 8:44:04 PM PDT
Additional Details :
Reassign bug to myself since I'm the owner of this file.
Status: NEW → RESOLVED
Closed: 26 years ago
Resolution: --- → WONTFIX
Status: RESOLVED → VERIFIED
old bug, old code base. Marking won't fix. Please re-open if I am in error.
setting to an approximate milestone so it can be off of the no TFV list
Target Milestone: --- → M12
You need to log in before you can comment on or make changes to this bug.